## auto-editor 26.3.1+ds

=== docs/Makefile ===
.PHONY: local compile html upload default

default: local

compile:
	nim c -d:danger make
ifeq ($(shell uname),Darwin)
	strip -ur make && du --si -A make
else
	strip make && du -sh make
endif

html:
	rm -rf public
	cp -R src public
	python3 build.py
	./make

local: html
	bun run dev

download:
	rsync -rtvzP "root@auto-editor.com:/var/www/auto-editor/public/img" src

upload:
	rsync -rtvzP --delete ./public "root@auto-editor.com:/var/www/auto-editor"
	rsync server.js "root@auto-editor.com:/var/www/auto-editor/server.js"
	rsync package.json "root@auto-editor.com:/var/www/auto-editor/package.json"
	ssh root@auto-editor.com "systemctl restart ae; echo 'done'"

## auto-editor 0+git20220120+ds

=== debian/changelog ===
auto-editor (0+git20220120+ds-2) unstable; urgency=medium

  * d/control:
    - all instead of any build.
    - add to multimedia team.

 -- Gürkan Myczko <tar@debian.org>  Tue, 25 Jan 2022 11:48:17 +0100

auto-editor (0+git20220120+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1003215)

 -- Gürkan Myczko <tar@debian.org>  Thu, 20 Jan 2022 20:44:40 +0100

=== debian/control ===
Source: auto-editor
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-setuptools,
 python3-all,
 python3-numpy
Standards-Version: 4.6.0
Homepage: https://auto-editor.com/cli/
Vcs-Browser: https://salsa.debian.org/multimedia-team/auto-editor
Vcs-Git: https://salsa.debian.org/multimedia-team/auto-editor.git
Rules-Requires-Root: no

Package: auto-editor
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, ffmpeg, python3-av, python3-numpy, python3-opencv
Recommends: shotcut
Description: Effort free video editing
 This is a program for automatically editing video and audio by analyzing
 a variety of methods, most notably audio loudness.

## auto-editor 22w28a+ds

=== debian/changelog ===
auto-editor (22w28a+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: update excluded list.

 -- Gürkan Myczko <tar@debian.org>  Mon, 25 Jul 2022 15:20:08 +0200

auto-editor (22w09a+ds-2) unstable; urgency=medium

  * d/control: add missing build-depends: python3-av.

 -- Gürkan Myczko <tar@debian.org>  Wed, 16 Mar 2022 09:56:01 +0100

auto-editor (22w09a+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Tue, 15 Mar 2022 15:46:12 +0100

## auto-editor 22w52a+ds

=== debian/changelog ===
auto-editor (22w52a+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Wed, 04 Jan 2023 08:47:12 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  dh-python,
  python3-setuptools,
  python3-all,
+ python3-av,
  python3-numpy
 Standards-Version: 4.6.0
 Homepage: https://auto-editor.com/cli/

## auto-editor 24w03a+ds

=== debian/changelog ===
auto-editor (24w03a+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years, update Files-Excluded.
  * Bump standards version to 4.6.2.
  * d/control: add build-depends pybuild-plugin-pyproject.

 -- Gürkan Myczko <tar@debian.org>  Mon, 22 Jan 2024 08:13:24 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
  python3-setuptools,
  python3-all,
  python3-av,
- python3-numpy
-Standards-Version: 4.6.0
+ python3-numpy,
+ pybuild-plugin-pyproject
+Standards-Version: 4.6.2
 Homepage: https://auto-editor.com/cli/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/auto-editor
 Vcs-Git: https://salsa.debian.org/multimedia-team/auto-editor.git

=== debian/watch ===
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/WyattBlue/auto-editor/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## auto-editor 25.0.0+ds

=== debian/changelog ===
auto-editor (25.0.0+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: updated.

 -- Alex Myczko <tar@debian.org>  Thu, 15 Aug 2024 13:35:33 +0000

auto-editor (24w03a+ds-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Wed, 17 Jul 2024 09:15:49 +0000

## auto-editor 25.0.1+ds

=== debian/changelog ===
auto-editor (25.0.1+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 19 Aug 2024 09:06:25 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: video
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Gürkan Myczko <tar@debian.org>
+Uploaders: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-setuptools,
@@ -10,7 +10,7 @@
  python3-av,
  python3-numpy,
  pybuild-plugin-pyproject
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://auto-editor.com/cli/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/auto-editor
 Vcs-Git: https://salsa.debian.org/multimedia-team/auto-editor.git

## auto-editor 26.0.1+ds

=== debian/changelog ===
auto-editor (26.0.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/control: update Homepage.

 -- Alex Myczko <tar@debian.org>  Wed, 20 Nov 2024 11:55:16 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-numpy,
  pybuild-plugin-pyproject
 Standards-Version: 4.7.0
-Homepage: https://auto-editor.com/cli/
+Homepage: https://auto-editor.com/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/auto-editor
 Vcs-Git: https://salsa.debian.org/multimedia-team/auto-editor.git
 Rules-Requires-Root: no

## auto-editor 26.3.1+ds

=== debian/changelog ===
auto-editor (26.3.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.1.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Wed, 26 Feb 2025 17:48:59 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-av,
  python3-numpy,
  pybuild-plugin-pyproject
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://auto-editor.com/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/auto-editor
 Vcs-Git: https://salsa.debian.org/multimedia-team/auto-editor.git

## auto-editor 29.0.5+ds

=== docs/Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 .PHONY: local compile html upload default
 
 default: local
+
+SRC_FILES := $(shell find src -type f)
 
 compile:
 	nim c -d:danger make
@@ -10,11 +12,15 @@
 	strip make && du -sh make
 endif
 
-html:
+html: $(SRC_FILES)
 	rm -rf public
 	cp -R src public
-	python3 build.py
 	./make
+
+htmldev: $(SRC_FILES)
+	rm -rf public
+	cp -R src public
+	./make --dev
 
 local: html
 	bun run dev
@@ -22,7 +28,7 @@
 download:
 	rsync -rtvzP "root@auto-editor.com:/var/www/auto-editor/public/img" src
 
-upload:
+upload: html
 	rsync -rtvzP --delete ./public "root@auto-editor.com:/var/www/auto-editor"
 	rsync server.js "root@auto-editor.com:/var/www/auto-editor/server.js"
 	rsync package.json "root@auto-editor.com:/var/www/auto-editor/package.json"

=== debian/changelog ===
auto-editor (29.0.5+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.2.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Sep 2025 11:41:32 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-av,
  python3-numpy,
  pybuild-plugin-pyproject
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://auto-editor.com/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/auto-editor
 Vcs-Git: https://salsa.debian.org/multimedia-team/auto-editor.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=auto-editor

%:
	dh $@ --with python3 --buildsystem=pybuild
